iPhone Dev Team brengt PwnageTool voor iOS 4.0 uit (jailbreak)

PwnageTool 4.0 is per direct beschikbaar voor gebruik met iOS 4.0. De software is geschikt voor de iPhone 3G, de iPhone 3GS met de oude bootrom en de 2e generatie iPod Touch.
Paul Pols - · Laatst bijgewerkt:

Het iPhone Dev Team heeft zojuist PwnageTool 4.0 voor iOS 4.0 uitgebracht. Deze software is er met name voor bedoeld om met behoud van je huidige baseband te kunnen upgraden naar iOS 4.0. De laatste versie van PwnageTool is geschikt voor gebruik met de iPhone 3G, de iPhone 3GS met de oude bootrom en 2e generatie iPod Touch. Dat betekent dat PwnageTool niet geschikt is voor de originele iPhone, de iPhone 3GS met de nieuwe bootrom (iBoot-359.3.2) en de eerste en derde generatie iPod touch.
Om gebruik te maken van PwnageTool 4.0 heb je toegang nodig tot Mac OS X.

In de rest van het artikel wordt de term IPSW gebruikt, waarmee gedoeld wordt op een zogenaamde custom firmware die je met behulp van PwnageTool kunt maken.
Als er wordt genoemd dat je in de DFU-modus moet herstellen, is het belangrijk dat je dat doet met behulp van PwnageTool.

iPhone 3G

  • Als je een gejailbreakte iPhone 3G hebt op firmware 3.1.2 (die niet gejailbreakt is met Spirit), dan kun je een IPSW maken met PwnageTool en herstellen in de recovery– of DFU-modus.
  • Als je een iPhone 3G hebt die nog niet is gejailbreakt, kun je herstellen met een in PwnageTool gemaakte IPSW in de DFU-modus.
  • Als je een gejailbreakte iPhone 3G hebt op firmware 3.1.3, dan is het waarschijnlijk dat het herstellen met een in PwnageTool gemaakte IPSW zal mislukken. Gebruik daarom de DFU-modus.

iPhone 3GS

PwnageTool werkt alleen op de iPhone 3GS als deze al gejailbreakt is en daarnaast de oude bootrom bevat. Als je al een jailbreak had op je iPhone 3GS voordat de Spirit jailbreak uit werd gebracht, heb je de oude bootrom. Kon je totdat Spirit werd uitgebracht niet (untethered) jailbreaken, dan heb je waarschijnlijk de nieuwe bootrom.

  • Als je een gejailbreakte iPhone 3GS hebt met de oude bootrom (en dus geen Spirit hebt gebruikt om te jailbreaken), dan kun je een IPSW aanmaken met PwnageTool en herstellen in de recovery-modus.
  • Als je een iPhone 3GS hebt met de nieuwe bootrom, wordt deze helaas niet ondersteund door PwnageTool 4.0

2e generatie iPod touch

Als je een gejailbreakte 2e generatie iPod touch hebt (en geen Spirit hebt gebruikt om te jailbreaken), dan kun je een IPSW aanmaken met PwnageTool en herstellen in de recovery-modus.

De unlock van de baseband

Zoals je gisteren al op iPhoneclub kon lezen heeft het iPhone Dev Team ook een unlock uitgebracht voor de basebands (modemfirmwares) 04.26.08, 05.11.07, 05.12.01 en 05.13.04. Daardoor bestaat nu de bijzondere situatie dat elke baseband sinds firmware 3.0 te unlocken is op de iPhone 3G en 3GS (maar alleen als de iPhone ook te jailbreaken is). Als je afhankelijk bent van een unlock, zul je in de toekomst daarom ook voorzichtig moeten zijn met het updaten naar een nieuwe firmware (tenzij je daarvoor PwnageTool gebruikt).

Downloaden van PwnageTool 4.01

Je kunt PwnageTool 4.01 downloaden met behulp van deze torrent. Ten opzichte van PwnageTool 4.0 lost versie 4.01 een probleem op met iBooks (ook redsn0w heeft hiervoor een kleine update gehad). Voor meer informatie en een lijst van onofficiële mirrors kun je terecht op de website van het iPhone Dev Team. Voor vragen en/of hulp kun je terecht op ons forum.

Met dank aan Nigel voor de snelle tip.

Suggestie hoe we dit artikel kunnen verbeteren? Laat het ons weten!

Informatie

Laatst bijgewerkt 24 juni 2010, 11:46
Categorie Jailbreak
Onderwerpen bootrom, firmware, iPhone 3G, iphone dev team, ipod touch, ipsw, jailbreak, pwnage tool

Reacties zijn gesloten voor dit artikel.